summaryrefslogtreecommitdiffstats
path: root/libraries/libxfcegui4
diff options
context:
space:
mode:
author David Spencer <baildon.research@googlemail.com>2015-12-13 20:05:26 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-01-17 09:40:16 +0700
commit00822065dfd71d9a942f1c35fd0bd2ac12887e63 (patch)
treef6eb81665a19c35b1dd724d08dec6f96c7a45125 /libraries/libxfcegui4
parentd62498ad2545d2c5734d4f910772fbf54648893d (diff)
downloadslackbuilds-00822065dfd71d9a942f1c35fd0bd2ac12887e63.tar.gz
slackbuilds-00822065dfd71d9a942f1c35fd0bd2ac12887e63.tar.xz
libraries/libxfcegui4: Added (old Xfce widget library).
Removed from Slackware, but still required by plugins: xfce4-quicklauncher-plugin xfce4-xmms-plugin Signed-off-by: David Spencer <baildon.research@googlemail.com> Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries/libxfcegui4')
-rw-r--r--libraries/libxfcegui4/README2
-rw-r--r--libraries/libxfcegui4/libxfcegui4.SlackBuild105
-rw-r--r--libraries/libxfcegui4/libxfcegui4.info10
-rw-r--r--libraries/libxfcegui4/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/libraries/libxfcegui4/README b/libraries/libxfcegui4/README
new file mode 100644
index 0000000000..a50bb71440
--- /dev/null
+++ b/libraries/libxfcegui4/README
@@ -0,0 +1,2 @@
+This is a widget library for Xfce. It has been replaced by the use
+of the libxfce4ui library, but older programs might still need it.
diff --git a/libraries/libxfcegui4/libxfcegui4.SlackBuild b/libraries/libxfcegui4/libxfcegui4.SlackBuild
new file mode 100644
index 0000000000..e03cf1c9e9
--- /dev/null
+++ b/libraries/libxfcegui4/libxfcegui4.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Copyright 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Resurrected for SBo by David Spencer <baildon.research@googlemail.com>
+
+PRGNAM=libxfcegui4
+VERSION=${VERSION:-4.10.0}
+BUILD=${BUILD:-3}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# https://bugzilla.xfce.org/show_bug.cgi?id=10974
+sed -i \
+ -e "s/xfce_setenv/g_setenv/g" \
+ libxfcegui4/xfce-exec.c
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --disable-static \
+ --disable-debug \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# We don't want icon caches:
+find $PKG/usr/share/icons -type f -name "icon-theme.cache" -exec rm -f {} \;
+
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS COPYING* ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libxfcegui4/libxfcegui4.info b/libraries/libxfcegui4/libxfcegui4.info
new file mode 100644
index 0000000000..0603157c04
--- /dev/null
+++ b/libraries/libxfcegui4/libxfcegui4.info
@@ -0,0 +1,10 @@
+PRGNAM="libxfcegui4"
+VERSION="4.10.0"
+HOMEPAGE="http://www.xfce.org/"
+DOWNLOAD="http://archive.xfce.org/src/xfce/libxfcegui4/4.10/libxfcegui4-4.10.0.tar.bz2"
+MD5SUM="4025b9d6811f051c914cdd700d437e61"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David Spencer"
+EMAIL="baildon.research@googlemail.com"
diff --git a/libraries/libxfcegui4/slack-desc b/libraries/libxfcegui4/slack-desc
new file mode 100644
index 0000000000..8309460dfc
--- /dev/null
+++ b/libraries/libxfcegui4/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libxfcegui4: libxfcegui4 (old Xfce widget library)
+libxfcegui4:
+libxfcegui4: This is a widget library for Xfce. It has been replaced by the use
+libxfcegui4: of the libxfce4ui library, but older programs might still need it.
+libxfcegui4:
+libxfcegui4:
+libxfcegui4:
+libxfcegui4:
+libxfcegui4:
+libxfcegui4:
+libxfcegui4: